Subject: bug#15544: closed (Re: bug#15200: isearch-other-meta-char and shift)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2013 23:30:10 +0000

Your bug report

#15200: 24.3.50; void variable `universal-argument-num-events'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15200: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15200
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15200: isearch-other-meta-char and shift
From: Juri Linkov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Oct 2013 02:29:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> (lookup-key isearch-mode-map (kbd "C-u C-l")) => 1
>> (lookup-key isearch-mode-map (kbd "C-u C-w")) => 1
>
>> both return 1.
>
> OK, don't worry about that: the fix needs to be elsewhere (I happen to
> have a work-in-progress patch which fixes that problem).
>
> So, I think you can go ahead and install your patch.
> And please make a bug-report for the C-u C-w problem, so we don't forget
> about it.

I installed the patch (with a FIXME comment) and reported a new bug#15568.

Subject: 24.3.50; void variable `universal-argument-num-events'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Sun, 6 Oct 2013 16:25:07 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

emacs -Q
M-x set-variable isearch-allow-prefix t
C-s C-3 C-return

Get error:
"Symbol's value as variable is void: universal-argument-num-events"

Grepping for this variable shows that it is not defined anywhere and is
used only in isearch.el (unless it is defined in the C sources).

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-09-30 on LEG570
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' CPPFLAGS=-DGLYPH_DEBUG=1'